<?php 
//            Restar 2 Horas
//**************************************************
/// devuelve la cantidad de horas según rango entre valor inicial y final de horas 
 function TiempoTranscurrido($h_in,$h_out,$m_out=0,$m_in=0)
{
    if ($m_out == 0 && $m_in == 0)
		{
		   list($h_out,$m_out,$s_out) = explode(":",$h_out);
		   list($h_in,$m_in,$s_in) = explode(":",$h_in);
		}   

    	$n_horas = $h_out - $h_in;
		$min = $m_out - $m_in;
		$seg = $s_out - $s_in;
		if ($min < 0)
		{
		 		$min=60+$min;
				$n_horas--;	
		}
				if ($seg < 0)
		{
		 		$seg=60+$seg;
				$min--;	
		}
    return ((strlen($n_horas)==1)?"0$n_horas":$n_horas).":".((strlen($min)==1)?"0$min":$min).":".((strlen($seg)==1)?"0$min":$seg);
}


?>